summaryrefslogtreecommitdiffstats
path: root/debian/wireshark-common.postrm
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/wireshark-common.postrm18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/wireshark-common.postrm b/debian/wireshark-common.postrm
new file mode 100644
index 0000000..c713d38
--- /dev/null
+++ b/debian/wireshark-common.postrm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+GROUP=wireshark
+
+. /usr/share/debconf/confmodule
+
+if [ "$1" = "purge" ] ; then
+ if getent group $GROUP >/dev/null && command -v delgroup > /dev/null; then
+ if ! delgroup --quiet --system $GROUP; then
+ db_input high wireshark-common/group-removal-failed || true
+ db_go
+ fi
+ fi
+fi
+
+#DEBHELPER#